---
raw: true
search:
  tags:
    - Domains
    - POST
seo:
  description: >-
    Returns independent domain-name fit scores from 0 to 4 and confidence from
    0… Reference for the POST /v1/domains/research/rank endpoint in the
    Spacefast API.
sidebar:
  label: Rank domain candidates with Jev
  badge: POST
title: Rank domain candidates with Jev
type: openapi-operation
---
Returns independent domain-name fit scores from 0 to 4 and confidence from 0 to 1. Scores do not establish availability, pricing or trademark clearance.

`POST /v1/domains/research/rank`

**Request body** (`application/json`, required)

- `analytics` (object)
- `teamId` (string)
- `query` (string, required)
- `domains` (string[], required)

Request body example:

```json
{
  "analytics": {
    "sessionId": "f6567dd8-e069-418e-8893-7d22fcf12459",
    "traceId": "729bb1bf-882d-483b-89d3-5855dc5af3aa",
    "anonymousId": "string",
    "path": "string"
  },
  "teamId": "string",
  "query": "string",
  "domains": [
    "string"
  ]
}
```

**Responses**

- `200` — Response for status 200
- `default` — Problem details (RFC 9457). Any 4xx/5xx response is one \`application/problem+json\` document.

Response example, 200:

```json
{
  "$schema": "http://example.com",
  "data": {
    "scores": [
      {
        "score": 0,
        "confidence": 0,
        "domain": "string"
      }
    ]
  }
}
```
